Delete data quality rules for a single field
curl --request DELETE \
--url https://api.kadoa.com/v4/workflows/{workflowId}/schema-validation-rules/{fieldName} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kadoa.com/v4/workflows/{workflowId}/schema-validation-rules/{fieldName}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kadoa.com/v4/workflows/{workflowId}/schema-validation-rules/{fieldName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": {}
}Data Quality
Delete data quality rules for a field
Remove all data quality rules for a single schema field on a workflow
DELETE
/
v4
/
workflows
/
{workflowId}
/
schema-validation-rules
/
{fieldName}
Delete data quality rules for a single field
Authorizations
API key for authentication
Path Parameters
ID of the workflow
Name of the schema field whose rules should be removed
Response
Rules removed (or no-op if the field had no rules). Returns the remaining ruleset.
Map keyed by schema field name, with the per-field data quality rules for that field.
Show child attributes
Show child attributes
⌘I